
package net.mcreator.testmore.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.food.FoodProperties;
import net.minecraft.world.entity.LivingEntity;

import net.mcreator.testmore.procedures.NetheriteAppleProcedureProcedure;
import net.mcreator.testmore.init.TestmoreModTabs;

public class NetheriteAppleItem extends Item {
	public NetheriteAppleItem() {
		super(new Item.Properties().tab(TestmoreModTabs.TAB_ADVANCED_MINECRAFT_MOD).stacksTo(16).fireResistant().rarity(Rarity.EPIC)
				.food((new FoodProperties.Builder()).nutrition(25).saturationMod(0.7f).alwaysEat()

						.build()));
	}

	@Override
	public int getUseDuration(ItemStack itemstack) {
		return 1;
	}

	@Override
	public ItemStack finishUsingItem(ItemStack itemstack, Level world, LivingEntity entity) {
		ItemStack retval = super.finishUsingItem(itemstack, world, entity);
		double x = entity.getX();
		double y = entity.getY();
		double z = entity.getZ();

		NetheriteAppleProcedureProcedure.execute(entity);
		return retval;
	}
}
